[arch-commits] CVS update of extra/lib/libffi (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Apr 27 17:42:46 EDT 2007


    Date: Friday, April 27, 2007 @ 17:42:46
  Author: jgc
    Path: /home/cvs-extra/extra/lib/libffi

   Added: PKGBUILD (1.1)

upgpkg: libffi 4.1.2-1
Add libffi as standalone package. Will remove it from gcc-gcj soon


----------+
 PKGBUILD |   23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)


Index: extra/lib/libffi/PKGBUILD
diff -u /dev/null extra/lib/libffi/PKGBUILD:1.1
--- /dev/null	Fri Apr 27 17:42:46 2007
+++ extra/lib/libffi/PKGBUILD	Fri Apr 27 17:42:46 2007
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD,v 1.1 2007/04/27 21:42:46 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=libffi
+pkgver=4.1.2
+pkgrel=1
+pkgdesc="A portable, high level programming interface to various calling conventions."
+arch=('i686' 'x86_64')
+url="http://sourceware.org/libffi"
+depends=('glibc')
+options=('nolibtool')
+source=(ftp://gcc.gnu.org/pub/gcc/releases/gcc-${pkgver}/gcc-{core,java}-${pkgver}.tar.bz2)
+md5sums=('2af3fb599635219171c6ae1f3034888a' '83cad4d52ff4a47b69e57012a5efe534')
+
+build() {
+  cd ${startdir}/src
+  mkdir gcc-build
+  cd gcc-build
+  ../gcc-${pkgver}/libffi/configure --prefix=/usr \
+    --enable-shared --libdir=/usr/lib --disable-multilib
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+}




More information about the arch-commits mailing list